List:General Discussion« Previous MessageNext Message »
From:Warren Young Date:November 19 2007 9:58pm
Subject:Re: MySQL on Leopard
View as plain text  
Steffan A. Cline wrote:
> I built MySQL 5.045 from source and it will run fine, just not
> from launchd. 

My previous post was made with the assumption that you were using the 
official binaries, and that they had not yet qualified them on Leopard. 
  I suggested Fink because it's an easy way to ensure you build from 
source, not because I think Fink is in some essential way better.  The 
fact that you did build from source invalidates my whole line of reasoning.

Was this machine upgraded to Leopard, or freshly installed?  And if 
upgraded, did it have a previous version of MySQL on it before?  If so, 
environment differences when running under launchd may be causing the 
linker to pick up old incompatible dynamic libraries.  Try a 'make 
uninstall', then go back through /usr and /var by hand to ensure no 
traces remain, then reinstall.  If MySQL's Makefiles don't support 'make 
uninstall', just do a by-hand removal.
Thread
MySQL on LeopardSteffan A. Cline17 Nov
Re: MySQL on LeopardSteffan A. Cline17 Nov
  • Re: MySQL on LeopardSteffan A. Cline17 Nov
    • Re: MySQL on LeopardWarren Young19 Nov
      • Re: MySQL on LeopardSteffan A. Cline19 Nov
        • Re: MySQL on LeopardWarren Young19 Nov
          • Re: MySQL on LeopardSteffan A. Cline19 Nov